Bug 764279 - (GLUSTER-2547) rebalance command usage and help mis-match
rebalance command usage and help mis-match
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-17 02:31 EDT by shishir gowda
Modified: 2013-12-08 20:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2011-03-17 02:31:25 EDT
here is the usage format:

gluster> volume rebalance 
Usage: volume rebalance <VOLNAME> [fix-layout|migrate-data] {start|stop|status}

on issuing the command:

gluster> volume rebalance new fix-layout start
Usage: volume rebalance <VOLNAME> [fix-layout|migrate-data] {start|stop|status}
<-----fails.

whereas without subcommand succeeds:

gluster> volume rebalance new start
starting rebalance on volume new has been successful
Comment 1 Vijay Bellur 2011-03-18 20:36:29 EDT
PATCH: http://patches.gluster.com/patch/6496 in master (Added checks for fix-layout & migrate-data usage.)
Comment 2 M S Vishwanath Bhat 2011-04-06 23:50:00 EDT
Now the help message is consistent with the actual usage

root@tortuga:/disk1# gluster volume rebalance hosdu fix-layout start
starting rebalance on volume hosdu has been successful
root@tortuga:/disk1# gluster volume rebalance hosdu fix-layout status
rebalance step 1: layout fix complete: fixed layout 1

root@tortuga:/disk1# gluster volume rebalance hosdu migrate-data start
starting rebalance on volume hosdu has been successful
root@tortuga:/disk1# gluster volume rebalance hosdu migrate-data status
rebalance step 2: data migration in progress: rebalanced 9 files of size 47185920 (total files scanned 16)
root@tortuga:/disk1# gluster volume rebalance hosdu migrate-data status
rebalance step 2: data migration complete: rebalanced 54 files of size 283115520 (total files scanned 154)

Note You need to log in before you can comment on or make changes to this bug.